# Gimp.Parasite.new

    function new(name: String, flags: Number(guint32), data: Array(Number(gchar))): Gimp.Parasite {
        // Gjs wrapper for gimp_parasite_new()
    }

Creates a new parasite and save data which may be a proper text (in which case you may want to set size as strlen(data) + 1) or not.

name

  the new Gimp.Parasite name.

flags

  see libgimpbase/gimpparasite.h macros.

data

  the data to save in a parasite.

Returns

  a new Gimp.Parasite.